Bug 676148 - infinite loop while parsing double literal
infinite loop while parsing double literal
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: java-1.6.0-openjdk (Show other bugs)
6.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Deepak Bhole
BaseOS QE - Apps
:
Depends On: 676147
Blocks: 676149
  Show dependency treegraph
 
Reported: 2011-02-08 18:04 EST by Siddhesh Poyarekar
Modified: 2015-09-13 20:22 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 676147
: 676149 (view as bug list)
Environment:
Last Closed: 2011-04-11 14:38:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Siddhesh Poyarekar 2011-02-08 18:04:08 EST
+++ This bug was initially created as a clone of Bug #676147 +++

Description of problem:
java hangs when trying to parse the double literal 2.2250738585072012e-308.

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-1.6.0.0-1.21.b17.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. 

$ cat > runhang.java
class runhang {
public static void main(String[] args) {
  System.out.println("Test:");
  double d = Double.parseDouble("2.2250738585072012e-308");
  System.out.println("Value: " + d);
 }
}

2.

$ javac runhang.java

3.

$ java runhang
  
Actual results:
Hang

Expected results:
No hang

Additional info:

This is the same as upstream bug:

https://bugs.openjdk.java.net/show_bug.cgi?id=100119
Comment 1 Deepak Bhole 2011-04-11 14:38:03 EDT
Fix is in IcedTea6 1.7.10 which is in RHEL6

Note You need to log in before you can comment on or make changes to this bug.